public class Intervall {

	private Bruch unter;
	private Bruch ober;
	
	public static final Intervall EMPTY = new Intervall(new Bruch(1,2), new Bruch(3,4)); //eindeutiges Objekt vom Typ Intervall. Intervallgrenzen sind egal. Steht für die leere Menge.
	
	/**
	* Konstruktor: Initialisiert dieses Intervall.
	*/ 
	public Intervall(Bruch unter, Bruch ober) {
	
		this.unter = unter;
		this.ober = ober;
	
	}
	
	/**
	* Kopierkonstruktor: Initialisiert dieses Intervall als "tiefe Kopie"
	* des angegebenen Intervalls.
	* @param zuKopieren das Intervall dessen Intervallgrenzen für dieses
	* Intervall kopiert werden.
	*/
	public Intervall(Intervall zuKopieren) {
	
		this.unter = new Bruch(zuKopieren.unter);
		this.ober = new Bruch(zuKopieren.ober);
	
	}

	/**
	* Liefert den Durchschnitt dieses Intervalls mit dem angegebenen Intervall
	* als neues Intervall zurück.
	* @param intervall2 das Intervall mit dem der Durchschnitt gebildet werden soll.
	*/
	public Intervall durchschnitt(Intervall intervall2) {
	
		if (this.ober.kleiner(intervall2.unter) || intervall2.ober.kleiner(this.unter) || this == EMPTY || intervall2 == EMPTY) {
		
			return EMPTY;
		
		}
		
		Bruch unter;
		Bruch ober;
		
		unter = this.unter.kleiner(intervall2.unter) ? intervall2.unter : this.unter;
		ober = this.ober.kleiner(intervall2.ober) ? this.ober : intervall2.ober;
		
		return new Intervall(unter, ober); //verbessern
	
	}
	
	/**
	* @return eine lesbare Repräsentation dieses Intervalls.
	*/
	public String toString() {
		
		if (this == EMPTY) {
		
			return "[]";
		
		}
	
		return "[" + unter.toString() + "," + ober.toString() + "]";
	
	} 

}
