import java.util.ArrayList;
import java.util.List;

public class Phonebook {

	//private PhonebookEntry[] entryList;
	private ArrayList<PhonebookEntry> entryList;
	
	/**
	* Initialisiert dieses Telefonbuch als leeres Telefonbuch,
	* in dem keine Einträge stehen.
	*/
	public Phonebook() {
		
		entryList = new ArrayList<PhonebookEntry>();
	
	}
	
	/**
	* Fügt einen neuen Eintrag hinzu.
	* @param entry der Eintrag, der hinzugefügt wird.
	*/
	public void add(PhonebookEntry entry) {
		
		entryList.add(entry);
		
	}
	
	/**
	* Löscht den Eintrag mit dem angegebenen Namen.
	* @param name der Eintrag mit diesem Namen soll gelöscht 
	* werden.
	*/
	public void remove(String name) {
	
		//verbesserungswürdig: geht nur für PersonEntry 
		//und Untertypen.
		entryList.remove(new PersonEntry(name,""));
		
	}
	
	/**
	* Liefert eine Liste mit allen im Telefonbuch 
	* gespeicherten Matrikelnummern.
	* @return eine Liste mit allen Matrikelnummern. 
	*/
	public List<Integer> getMatrNrList() {
	
		ArrayList<Integer> list = new ArrayList<Integer>();
		
		//FILL IN
		
		for(PhonebookEntry entry: entryList) {
		
			if(entry instanceof StudentEntry) {
				
				list.add(((StudentEntry) entry).matrNr());
			
			}
		
		}
	
		return list;
	
	}
	
	/**
	* @return eine lesbare Repräsentation des Telefonbuchs.
	*/
	public String toString() {
	
		String out = "";
		
		for (int i = 0; i < entryList.size(); i++) {
			out += entryList.get(i).toString() + "\n";
		}
		
		
		return out;
	
	}

}
