import java.util.Scanner;

public interface Factory {
    
    /**
     * Macht aus Parametern, die mit dem Scanner eingelesen werden, eine Operation
     * @param sc Der Scanner mit den für die Operation benötigten Daten
     * @return Die spezifische Operation
     * @throws FactoryException
     */
    Operation create(Scanner sc);
}

/******************************************************************************/

class EurFactory implements Factory {

    @Override
    public Operation create(Scanner sc) {
        
        // if sc.hasNext()
        String currency = sc.next();
        return new EurOperation(currency);
    }
}

class AddFactory implements Factory {

    @Override
    public Operation create(Scanner sc) {
        
        return new AddOperation();
        
    }
}